Subject: Re: [PATCH v3 3/6] vbus: add a "vbus-proxy" bus model for vbus_driver objects

From: Avi Kivity <[email-masked]>
Date: Wed, 19 Aug 2009 08:48:49 +0300

On 08/19/2009 08:36 AM, Gregory Haskins wrote:
>> If virtio net in guest could be improved instead, everyone would
>> benefit.
>>      
> So if I whip up a virtio-net backend for vbus with a PCI compliant
> connector, you are happy?
>    

This doesn't improve virtio-net in any way.

>> I am doing this, and I wish more people would join.  Instead,
>> you change ABI in a incompatible way.
>>      
> Only by choice of my particular connector.  The ABI is a function of the
> connector design.  So one such model is to terminate the connector in
> qemu, and surface the resulting objects as PCI devices.  I choose not to
> use this particular design for my connector that I am pushing upstream
> because I am of the opinion that I can do better by terminating it in
> the guest directly as a PV optimized bus.  However, both connectors can
> theoretically coexist peacefully.
>    

virtio already supports this model; see lguest and s390.  Transporting 
virtio over vbus and vbus over something else doesn't gain anything over 
directly transporting virtio over that something else.

-- 
I have a truly marvellous patch that fixes the bug which this
signature is too narrow to contain.